/* ----------------------------------------------------------------------------
 *         ATMEL Microcontroller Software Support
 * ----------------------------------------------------------------------------
 * Copyright (c) 2009, Atmel Corporation
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer below.
 *
 * Atmel's name may not be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * DISCLAIMER: THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 * DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * ----------------------------------------------------------------------------
 */

#ifndef _atmel_app_
#define _atmel_app_

/*----------------------------------------------------------------------------
  Headers
----------------------------------------------------------------------------*/
#include "board.h"
/* ----------------------- Qtouch includes ----------------------------------*/
#include "libqtouch.h"
/*----------------------------------------------------------------------------
 *        Local definitions
 *----------------------------------------------------------------------------*/

/** Reference voltage for ADC,in mv*/
#define VOLT_REF   (3300)

/* The maximal digital value*/
#define MAX_DIGITAL (4095)

/** channel connected to internal Temperature Sensor */
#define ADC_TEMP_SENSOR_CHANNEL     ADC_CHANNEL_15

/** channel connected to on-board potentiometer*/
#define ADC_POT_CHANNEL             ADC_CHANNEL_5



/* configure timer ISR to fire regularly */
static void init_timer_isr( void );

/*  Assign the parameters values to global configuration parameter structure    */
static void qt_set_parameters( void );

/* Configure the sensors */
static void config_sensors(void);

/* Prototypes */
extern void _AdcInit();
extern void _AdcTempSensorInit( void );
uint16_t _AdcReadTempSensor( void );
uint16_t _AdcReadAnalogInput( void ) ;
extern void _AdcPotentiometerInit( void ) ;
extern void _IoLed( uint8_t ubIdx, uint8_t bTurnOn );
extern void _ConfigureLeds( void ) ;
extern void _QtouchSliderInit ( void );
extern uint8_t _ReadQtouchSlider ( void );
extern uint16_t Read_Temperature(void);
extern void SysTick_Handler(void);
extern void init_timer_isr( void );

#endif
